October 13, 2026
· 8 min read
This release fixes a typo in the day-of-week enum value across multiple endpoints, correcting 'staturday' to 'saturday'. Additionally, push notification settings now support configuration for missing forms and waivers notifications.
- GET /membership_payment_plans – corrected the day-of-week enum value for fixed billing days from 'staturday' to 'saturday'
- POST /membership_payment_plans – corrected the day-of-week enum value for fixed billing days from 'staturday' to 'saturday' in both requests and responses
- GET /membership_payment_plans/{id} – corrected the day-of-week enum value for fixed billing days from 'staturday' to 'saturday'
- PATCH /membership_payment_plans/{id} – corrected the day-of-week enum value for fixed billing days from 'staturday' to 'saturday'
- PUT /membership_payment_plans/{id} – corrected the day-of-week enum value for fixed billing days from 'staturday' to 'saturday'
- GET /recurring_reservations – corrected the day-of-week enum value from 'staturday' to 'saturday'
- GET /recurring_reservations/{id} – corrected the day-of-week enum value from 'staturday' to 'saturday'
- PATCH /recurring_reservations/{id} – corrected the day-of-week enum value from 'staturday' to 'saturday'
- GET /registration_options – corrected the day-of-week enum value in time slots from 'staturday' to 'saturday'
- GET /reports/classes.grouped/data – corrected the day-of-week filter value from 'staturday' to 'saturday'
- POST /reports/classes.grouped/export – corrected the day-of-week filter value from 'staturday' to 'saturday'
- GET /reports/classes/data – corrected the day-of-week filter value from 'staturday' to 'saturday'
- POST /reports/classes/export – corrected the day-of-week filter value from 'staturday' to 'saturday'
- GET /communication/push_settings – now includes settings for missing forms and waivers notifications
- PATCH /communication/push_settings – now supports configuring push notifications for missing forms and waivers
GET /membership_payment_plans
- added the new
saturdayenum value to theresults/items/fixed_billing_day_of_weekresponse property for the response status200(media type: application/json) - removed the
staturdayenum value from theresults/items/fixed_billing_day_of_weekresponse property for the response status200(media type: application/json)
POST /membership_payment_plans
- removed the enum value
staturdayof the request propertyfixed_billing_day_of_week(media type: application/json) - added the new
saturdayenum value to thefixed_billing_day_of_weekresponse property for the response status201(media type: application/json) - added the new
saturdayenum value to the request propertyfixed_billing_day_of_week(media type: application/json) - removed the
staturdayenum value from thefixed_billing_day_of_weekresponse property for the response status201(media type: application/json)
GET /membership_payment_plans/{id}
- added the new
saturdayenum value to thefixed_billing_day_of_weekresponse property for the response status200(media type: application/json) - removed the
staturdayenum value from thefixed_billing_day_of_weekresponse property for the response status200(media type: application/json)
PATCH /membership_payment_plans/{id}
- added the new
saturdayenum value to thefixed_billing_day_of_weekresponse property for the response status200(media type: application/json) - removed the
staturdayenum value from thefixed_billing_day_of_weekresponse property for the response status200(media type: application/json)
PUT /membership_payment_plans/{id}
- added the new
saturdayenum value to thefixed_billing_day_of_weekresponse property for the response status200(media type: application/json) - removed the
staturdayenum value from thefixed_billing_day_of_weekresponse property for the response status200(media type: application/json)
GET /recurring_reservations
- added the new
saturdayenum value to theresults/items/dayresponse property for the response status200(media type: application/json) - removed the
staturdayenum value from theresults/items/dayresponse property for the response status200(media type: application/json)
GET /recurring_reservations/{id}
- added the new
saturdayenum value to thedayresponse property for the response status200(media type: application/json) - removed the
staturdayenum value from thedayresponse property for the response status200(media type: application/json)
PATCH /recurring_reservations/{id}
- added the new
saturdayenum value to thedayresponse property for the response status200(media type: application/json) - removed the
staturdayenum value from thedayresponse property for the response status200(media type: application/json)
GET /registration_options
- added the new
saturdayenum value to theresults/items/time_slots/items/dayresponse property for the response status200(media type: application/json) - removed the
staturdayenum value from theresults/items/time_slots/items/dayresponse property for the response status200(media type: application/json)
GET /reports/classes.grouped/data
- removed the enum value
staturdayfrom the propertyitems/of thequeryrequest parameterday_of_week - added the enum value
saturdayto the propertyitems/of thequeryrequest parameterday_of_week
POST /reports/classes.grouped/export
- removed the enum value
staturdayof the request propertyday_of_week/items/(media type: application/json) - added the new
saturdayenum value to the request propertyday_of_week/items/(media type: application/json)
GET /reports/classes/data
- removed the enum value
staturdayfrom the propertyitems/of thequeryrequest parameterday_of_week - added the enum value
saturdayto the propertyitems/of thequeryrequest parameterday_of_week
POST /reports/classes/export
- removed the enum value
staturdayof the request propertyday_of_week/items/(media type: application/json) - added the new
saturdayenum value to the request propertyday_of_week/items/(media type: application/json)
GET /communication/push_settings
- added the required property
missing_forms_and_waiversto the response with the200status (media type: application/json)
PATCH /communication/push_settings
- added the new optional request property
missing_forms_and_waivers(media type: application/json) - added the required property
missing_forms_and_waiversto the response with the200status (media type: application/json)